Acquire the signer lock on a session
curl --request POST \
--url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/lock \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"signerAddress": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({signerAddress: '<string>'})
};
fetch('https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/lock"
payload = { "signerAddress": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "<string>",
"data": {
"intentId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"externalRef": "<string>",
"requestParams": "<unknown>",
"quoteSummary": "<unknown>",
"lockedAt": "2023-11-07T05:31:56Z",
"lockedBy": "<string>",
"txHashes": [
"<string>"
],
"chainIds": [
123
],
"settledAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"payload": "<unknown>"
}
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Acquire the signer lock on a session
POST
/
extern
/
svr
/
{accountTypeId}
/
account
/
{accountId}
/
intent
/
{intentId}
/
lock
Acquire the signer lock on a session
curl --request POST \
--url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/lock \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"signerAddress": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({signerAddress: '<string>'})
};
fetch('https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/svr/{accountTypeId}/account/{accountId}/intent/{intentId}/lock"
payload = { "signerAddress": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "<string>",
"data": {
"intentId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"externalRef": "<string>",
"requestParams": "<unknown>",
"quoteSummary": "<unknown>",
"lockedAt": "2023-11-07T05:31:56Z",
"lockedBy": "<string>",
"txHashes": [
"<string>"
],
"chainIds": [
123
],
"settledAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"payload": "<unknown>"
}
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Authorizations
Server-to-server API key
Path Parameters
Body
application/json
Last modified on July 3, 2026
Was this page helpful?
Configure session as a withdraw and return calldata
Previous
Record tx hashes and verify receipts on-chain
Next
⌘I